package neuron;

class FallingState extends AState {
  static final FallingState Singleton = new FallingState();
  private FallingState(){
  }
  
  double getVoltage(Neuron host) {
    return -25.0;
  }
  
  void wait1ms(Neuron host) {
    host.setState(UndershootState.Singleton);
  }
  
  void stimulate(Neuron host) {
  }
}