package neuron;

public class Neuron {
  
  private AState _state = RestingState.Singleton;
  
  void setState(AState state) {
    _state = state;
  }
  
  public double getVoltage() {
    return _state.getVoltage(this);
  }
  
  public void wait1ms() {
    _state.wait1ms(this);
  }
  
  public void stimulate() {
    _state.stimulate(this);
  }
  
}