package neuron;

class RestingState extends AState {
  static final RestingState Singleton = new RestingState();
  private RestingState(){
  }

  double getVoltage(Neuron host) {
    return -70.0;
  }
  
  void wait1ms(Neuron host) {
  }
  
  void stimulate(Neuron host) {
    host.setState(RisingState.Singleton);
  }
}
