package neuron;

class UndershootState extends AState {
  static final UndershootState Singleton = new UndershootState();
  private UndershootState(){
  }
  double getVoltage(Neuron host) {
    return -80.0;
  }
  
  void wait1ms(Neuron host) {
    host.setState(RestingState.Singleton);
  }
  
  void stimulate(Neuron host) {
    host.setState(RestingState.Singleton);
  }
}