package fp;

/**
* An example of a lambda function that multiplies all the elements of a list together.
* Example usage:  aList.foldr(new Product(), 1); 
* We will use the standard base value of 1 (one) here.
* This will return the product of all the elements of the list, for example:
* (2, -1, 10) --> -20
*/
public class Product implements ILambda{

   public Object apply(Object x, Object r) {
     return (Integer) x * (Integer) r;
   }
} 


