package fp;

/**
* An example of a lambda function that returns a String with all the elements of the 
* list separated by spaces and terminated by a given base value String.
* We will use two exclamation points as our base value here.
* Example usage:  aList.map(new ToString(),!!); 
* This will return a String with all the elements plus two exclamation points:
* (2, -1, 10) --> "2 -1 10 !!"
*/
public class ToString implements ILambda{

   public Object apply(Object x, Object r) {
     return x.toString() + " " + r.toString();
   }
} 


