package neuron;

class RisingState extends AState {
  static final RisingState Singleton = new RisingState();
  private RisingState(){
  }

  double getVoltage(Neuron host) {
    return 0.0;
  }
  
  void wait1ms(Neuron host) {
    host.setState(FallingState.Singleton);
  }
  
  void stimulate(Neuron host) {
    host.setState(RisingState.Singleton);
  }
}