package test;

import junit.framework.TestCase;
import neuron.*;

/**
 * A JUnit test case class.
 * Every method starting with the word "test" will be called when running
 * the test with JUnit.
 */
public class Neuron_Test extends TestCase {
  
  /**
   * A test method.
   * (Replace "X" with a name describing the test.  You may write as
   * many "testSomething" methods in this class as you wish, and each
   * one will be called when running JUnit over this class.)
   */
  public void test_neuron() {
    Neuron n = new Neuron();
    
    assertEquals("start voltage (RestingState)", -70.0, n.getVoltage());
    n.wait1ms();
    assertEquals("wait1ms voltage (RestingState)", -70.0, n.getVoltage());
    n.stimulate();
    assertEquals("stimulate voltage (RisingState)", 0.0, n.getVoltage());
    n.wait1ms();
    assertEquals("wait1ms voltage (FallingState)", -25.0, n.getVoltage());
    n.wait1ms();
    assertEquals("wait1ms voltage (UndershootState)", -80.0, n.getVoltage());
    n.wait1ms();
    assertEquals("wait1ms voltage (RestingState)", -70.0, n.getVoltage());
    n.stimulate();
    assertEquals("stimulate voltage (RisingState)", 0.0, n.getVoltage());
    n.stimulate();
    assertEquals("stimulate voltage (RisingState)", 0.0, n.getVoltage());
    n.wait1ms();
    assertEquals("wait1ms voltage (FallingState)", -25.0, n.getVoltage());
    n.stimulate();
    assertEquals("stimulate voltage (FallingState)", -25.0, n.getVoltage());
    n.wait1ms();
    assertEquals("wait1ms voltage (UndershootState)", -80.0, n.getVoltage());
    n.stimulate();
    assertEquals("stimulate voltage (RestingState)", -70.0, n.getVoltage());
    
    
  }
  
}
